XmppsNamespaceHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.xmpp.config.XmppsNamespaceHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp.config
Class XmppsNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
              org.mule.transport.xmpp.config.XmppsNamespaceHandler

All Implemented Interfaces:
  org.springframework.beans.factory.xml.NamespaceHandler

    public class XmppsNamespaceHandler

extends AbstractMuleNamespaceHandler

Registers a Bean Definition Parser for handling `` elements.

Field Summary

Fields inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`GLOBAL_ENDPOINT, INBOUND_ENDPOINT, OUTBOUND_ENDPOINT`

Constructor Summary
`XmppsNamespaceHandler()`

Method Summary
`void` | `init()`

Methods inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`getGlobalEndpointBuilderBeanClass, getInboundEndpointFactoryBeanClass, getOutboundEndpointFactoryBeanClass, registerConnectorDefinitionParser, registerConnectorDefinitionParser, registerIgnoredElement, registerMetaTransportEndpoints, registerMuleBeanDefinitionParser, registerStandardTransportEndpoints`

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, findDecoratorForNode, findParserForElement, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmppsNamespaceHandler

    public XmppsNamespaceHandler()

Method Detail

### init

    public void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.